Open CASCADE Technology: HLRAlgo_WiresBlock Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
HLRAlgo_WiresBlock Class Reference

A WiresBlock is a set of Blocks. It is used by the DataStructure to structure the Edges. More...

`#include <HLRAlgo_WiresBlock.hxx>`

Inheritance diagram for HLRAlgo_WiresBlock:
[legend]

## Public Member Functions
| HLRAlgo_WiresBlock (const Standard_Integer NbWires)
| Create a Block of Blocks. More...
Standard_Integer | NbWires () const
void | Set (const Standard_Integer I, const Handle< HLRAlgo_EdgesBlock > &W)
Handle< HLRAlgo_EdgesBlock > & | Wire (const Standard_Integer I)
void | UpdateMinMax (const Standard_Address TotMinMax)
Standard_Address | MinMax () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

A WiresBlock is a set of Blocks. It is used by the DataStructure to structure the Edges.

A WiresBlock contains :

- An Array of Blocks.

## Constructor & Destructor Documentation

HLRAlgo_WiresBlock::HLRAlgo_WiresBlock | ( | const Standard_Integer | NbWires | ) |

Create a Block of Blocks.

## Member Function Documentation

Standard_Address HLRAlgo_WiresBlock::MinMax | ( |  | ) | const

Standard_Integer HLRAlgo_WiresBlock::NbWires | ( |  | ) | const

void HLRAlgo_WiresBlock::Set | ( | const Standard_Integer | I,
|  | const Handle< HLRAlgo_EdgesBlock > & | W
| ) |  |

void HLRAlgo_WiresBlock::UpdateMinMax | ( | const Standard_Address | TotMinMax | ) |

Handle< HLRAlgo_EdgesBlock >& HLRAlgo_WiresBlock::Wire | ( | const Standard_Integer | I | ) |

The documentation for this class was generated from the following file:

- HLRAlgo_WiresBlock.hxx